<p>Template Driven - Validation</p>
<form #ngForm="ngForm" (ngSubmit)="submit()">
  <div class="row">
    <div class="col-sm-9">
      <label>Nome
        <input #nome="ngModel" name="nome" [(ngModel)]="turma.nome"
          required>
      </label>
      <div class="errors" *ngIf="nome.invalid
            && (ngForm.submitted || nome.touched)">
        <div>Valor requerido</div>
      </div>

      <div class="col-sm-3">
        <label>Capacidade
          <input #capacidadeCtl="ngModel" name="capacidade" [(ngModel)]="turma.capacidade"
            required [min]="10" [max]="50" autocomplete="off">
        </label>
        <div class="errors" *ngIf="capacidadeCtl.invalid && (ngForm.submitted || capacidadeCtl.touched)">
          <div *ngIf="capacidadeCtl.errors?.required">Valor requerido</div>
          <div *ngIf="capacidadeCtl.errors?.faixa.min">Valor minimo: {{capacidadeCtl.errors?.faixa.min}} </div>
          <div *ngIf="capacidadeCtl.errors?.faixa.max">Valor maximo: {{capacidadeCtl.errors?.faixa.max}} </div>
        </div>
      </div>
    </div>
  </div>
  <div class="row">
    <div class="col-sm-12">
      <button type="submit">Salvar</button>
    </div>
  </div>

  {{capacidadeCtl.errors | json}}
</form>
